org.apache.poi.sl.draw

## Class DrawSheet

- java.lang.Object
- - org.apache.poi.sl.draw.DrawSheet

- All Implemented Interfaces:
    Drawable
  Direct Known Subclasses:
    DrawMasterSheet, DrawSlide

      public class DrawSheet
      extends java.lang.Object
      implements Drawable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.draw.Drawable

      `Drawable.DrawableHint`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Sheet<?,?>` | `sheet`

    - ### Fields inherited from interface org.apache.poi.sl.draw.Drawable

      `BUFFERED_IMAGE, CURRENT_SLIDE, DRAW_FACTORY, FONT_FALLBACK, FONT_HANDLER, FONT_MAP, GRADIENT_SHAPE, GRESTORE, GROUP_TRANSFORM, GSAVE, IMAGE_RENDERER, PRESET_GEOMETRY_CACHE, TEXT_AS_CHARACTERS, TEXT_AS_SHAPES, TEXT_RENDERING_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawSheet(Sheet<?,?> sheet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyTransform(java.awt.Graphics2D context)` Apply 2-D transforms before drawing this shape.
    `protected boolean` | `canDraw(java.awt.Graphics2D graphics, Shape<?,?> shape)` Checks if this `sheet` displays the specified shape.
    `void` | `draw(java.awt.Graphics2D graphics)` Draw this shape into the supplied canvas
    `void` | `drawContent(java.awt.Graphics2D context)` draw any content within this shape (image, text, etc.).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sheet

          protected final Sheet<?,?> sheet

  - ### Constructor Detail

    - #### DrawSheet

          public DrawSheet(Sheet<?,?> sheet)

  - ### Method Detail

    - #### draw

          public void draw(java.awt.Graphics2D graphics)

      Description copied from interface: `Drawable`
      Draw this shape into the supplied canvas
      Specified by:
        `draw` in interface `Drawable`
      Parameters:
        `graphics` - the graphics to draw into

    - #### applyTransform

          public void applyTransform(java.awt.Graphics2D context)

      Description copied from interface: `Drawable`
      Apply 2-D transforms before drawing this shape. This includes rotation and flipping.
      Specified by:
        `applyTransform` in interface `Drawable`
      Parameters:
        `context` - the graphics whos transform matrix will be modified

    - #### drawContent

          public void drawContent(java.awt.Graphics2D context)

      Description copied from interface: `Drawable`
      draw any content within this shape (image, text, etc.).
      Specified by:
        `drawContent` in interface `Drawable`
      Parameters:
        `context` - the graphics to draw into

    - #### canDraw

          protected boolean canDraw(java.awt.Graphics2D graphics,
                                    Shape<?,?> shape)

      Checks if this `sheet` displays the specified shape. Subclasses can override it and skip certain shapes from drawings, for instance, slide masters and layouts don't display placeholders

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.